{% load i18n %}
{% load humanize %}

<div class="row pagebar {% if top %} top {% endif %}">

    <div class="col-sm-3">


        <div class="btn-group visible-lg visible-md {% if not top %} hidden {% endif %}">
            <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown">
                {% blocktrans %}Limit to: {{ limit }}{% endblocktrans %} <span class="caret"></span>
            </button>
            <ul class="dropdown-menu" role="menu">
                {% for field in date_fields %}
                    <li><a href="?sort={{ sort }}&limit={{ field }}&q={{ q }}">{{ field }}</a></li>
                {% endfor %}
            </ul>
        </div>

    </div>

    <div class="cold-sm-12 col-md-6 ">

        <span class="step-links {% if top %} hidden {% endif %}">

            {% if page_obj.has_previous %}
                <a class="nav-btn" href="?page={{ page_obj.previous_page_number }}&sort={{ sort }}&limit={{ limit }}&q={{ q }}">
                    <span class="nav-btn">
                        <i class="fa fa-caret-left"></i> {% trans "prev" %}
                    </span>
                </a>
            {% else %}
            <!-- <span class="nav-btn">
                <i class="fa fa-caret-left"></i> prev
            </span> -->
            {% endif %}

            <span class="current">
              
                <span class="nav-btn">
                    {{ page_obj.paginator.count|intcomma }} {% trans "results" %}
                </span>
                <span class="nav-btn">
                    {% blocktrans %}page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}{% endblocktrans %}
                </span>

            </span>

            {% if page_obj.has_next %}
                <a class="nav-btn" href="?page={{ page_obj.next_page_number }}&sort={{ sort }}&limit={{ limit }}&q={{ q }}">
                    <span class="nav-btn">
                    {% trans "next" %} <i class="fa fa-caret-right"></i> 
                    </span>
                </a>
            {% else %}
                <!-- <span class="nav-btn">
                    next <i class="fa fa-caret-right"></i>
                </span> -->
            {% endif %}

        </span>
    </div>

    <div class="col-sm-3 visible-lg visible-md {% if not top %} hidden {% endif %}">
        <div class="btn-group pull-right">
            <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown">
                {% blocktrans %}Sort by: {{ sort }} {% endblocktrans %}<span class="caret"></span>
            </button>
            <ul class="dropdown-menu" role="menu">
                {% for field in sort_fields %}
                    <li><a href="?sort={{ field }}&limit={{ limit }}&q={{ q }}">{{ field }}</a></li>
                {% endfor %}
            </ul>
        </div>

    </div>

</div>
